### Enumeration

# EDataBook BookCacheCursorOrigin

since: 3.26

#### Declaration

    enum EDataBook.BookCacheCursorOrigin

#### Description [src]

Specifies the start position to in the list of traversed contacts in calls to e_book_cache_cursor_step().

When an `EBookCacheCursor` is created, the current position implied by `E_BOOK_CACHE_CURSOR_ORIGIN_CURRENT` is the same as `E_BOOK_CACHE_CURSOR_ORIGIN_BEGIN`.

Available since: 3.26

#### Members

`E_BOOK_CACHE_CURSOR_ORIGIN_CURRENT`

  The current cursor position.

  - Value: `0`
  - Available since: 3.26
`E_BOOK_CACHE_CURSOR_ORIGIN_BEGIN`

  The beginning of the cursor results.

  - Value: `1`
  - Available since: 3.26
`E_BOOK_CACHE_CURSOR_ORIGIN_END`

  The end of the cursor results.

  - Value: `2`
  - Available since: 3.26